<div>
    <mat-toolbar color="accent" fxLayout="row">
        <span fxFlex="nogrow">{{ ('NAV.POSITIONS' | translate) }}</span>
        <span fxFlex="auto" fxFlexFill></span>

        <div fxFlex="1 1 0">
            <button mat-icon-button class="mr-2"
                    (click)="onFinalize()">
                <mat-icon>done_all</mat-icon>
            </button>
        </div>
        {{ finished }}/{{positions?.length}}
    </mat-toolbar>
    <div class="mt-4 mx-2">
        <div fxLayout="column">
            <div *ngFor="let position of positions">
                <app-mass-value-update-item [position]="position"
                                            [outdatedDays]="outdatedDays"
                                            (validityChanged)="onValidityChanged($event)"
                                            #value></app-mass-value-update-item>
            </div>
        </div>
    </div>
</div>